## ClutterGstCrop ClutterGstCrop — A ClutterContent for displaying part of video frames |

## Functions

ClutterActor * | clutter_gst_crop_new ()

## Properties

gboolean | cull-backface | Read / Write
ClutterGstBox * | input-region | Read / Write
ClutterGstBox * | output-region | Read / Write
gboolean | paint-borders | Read / Write

## Types and Values

struct | ClutterGstCrop
struct | ClutterGstCropClass

## Object Hierarchy

        GObject
        ╰── ClutterGstContent
            ╰── ClutterGstCrop

## Implemented Interfaces

ClutterGstCrop implements ClutterContent.

## Description

ClutterGstCrop sub-classes ClutterGstContent.

## Functions

### clutter_gst_crop_new ()

    ClutterActor *
    clutter_gst_crop_new (void);

#### Returns

a new ClutterGstCrop instance.

[transfer full]

## Types and Values

### struct ClutterGstCrop

    struct ClutterGstCrop;

Implementation of ClutterGstContent that displays a sub region of video streams.

The ClutterGstCrop structure contains only private data and should not be accessed directly.

### struct ClutterGstCropClass

    struct ClutterGstCropClass {
    };

Base class for ClutterGstCrop.

## Property Details

### The `“cull-backface”` property

      “cull-backface”            gboolean

Whether to cull the backface of the actor

Owner: ClutterGstCrop

Flags: Read / Write

Default value: FALSE

Since: 3.0

### The `“input-region”` property

      “input-region”             ClutterGstBox *

Input region in the video frame (all values between 0 and 1).

Owner: ClutterGstCrop

Flags: Read / Write

Since: 3.0

### The `“output-region”` property

      “output-region”            ClutterGstBox *

Output region in the actor's allocation (all values between 0 and 1).

Owner: ClutterGstCrop

Flags: Read / Write

Since: 3.0

### The `“paint-borders”` property

      “paint-borders”            gboolean

Whether or not paint borders on the sides of the video

Owner: ClutterGstCrop

Flags: Read / Write

Default value: FALSE

Since: 3.0